Difference between revisions of "Moodle 2.0.3 release notes"

Jump to: navigation, search

Note: You are currently viewing documentation for Moodle 1.9. Up-to-date documentation for the latest stable version is available here: Moodle 2.0.3 release notes.

(Highlights: rewording)
(Security issues: 4 major, 1 minor)
 
Line 17: Line 17:
 
   
 
   
 
A number of security issues were resolved, including changes to APIs. Administrators are advised to update before details of security issues are revealed, which will happen one week after release.
 
A number of security issues were resolved, including changes to APIs. Administrators are advised to update before details of security issues are revealed, which will happen one week after release.
 +
 +
* [http://moodle.org/mod/forum/discuss.php?d=175588 MSA-11-0012] - Authentication issue
 +
* [http://moodle.org/mod/forum/discuss.php?d=175590 MSA-11-0013] - Group/Quiz permissions issue
 +
* [http://moodle.org/mod/forum/discuss.php?d=175591 MSA-11-0014] - Personal details displayed without permission
 +
* [http://moodle.org/mod/forum/discuss.php?d=175593 MSA-11-0016] - Ability to fill a database with invalid records through ratings
 +
* [http://moodle.org/mod/forum/discuss.php?d=175594 MSA-11-0017] - Ability to generate invalid records in the comments table in the database
  
 
===Changes to APIs===
 
===Changes to APIs===

Latest revision as of 21:41, 18 May 2011

Release date: 5th May 2011

Highlights

User interface changes

Security issues

A number of security issues were resolved, including changes to APIs. Administrators are advised to update before details of security issues are revealed, which will happen one week after release.

  • MSA-11-0012 - Authentication issue
  • MSA-11-0013 - Group/Quiz permissions issue
  • MSA-11-0014 - Personal details displayed without permission
  • MSA-11-0016 - Ability to fill a database with invalid records through ratings
  • MSA-11-0017 - Ability to generate invalid records in the comments table in the database

Changes to APIs

Modules etc wanting to make use of ratings are now required to implement two callback functions, modname_rating_permissions() and modname_rating_validate(). Full details of the callbacks are available in the rating 2.0 documentation
Plugins intending to use comments are required to implement two callback functions: pluginname_comment_validate(), and pluginname_comment_permissions. Please read full details in Comments documentation.

Fixes and improvements

  • MDL-26643 - Fixed blog visibility issue after update
  • MDL-26768 - Grades from Lessons are now correctly set to null on non-attempt
  • MDL-26798 - Fixes to Dropbox repository integration
  • MDL-27116 - Fixed theme directory linking
  • MDL-27246 - Able to checkout strings in the language customisation tool
  • MDL-27251 - Added optional timeout estimation to file downloads based on file size as it can blocks upgrade
  • MDL-27394 - Backup and restore might sometimes have scrambled the order of choices in question types.

A total of over 200 changes were made. See the full list of fixed issues in 2.0.3.

See also